Page MenuHomePhabricator

Prepare for Growth experiments at Basque Wikipedia
Closed, ResolvedPublic

Description

First

  • Post on Village Pump and have consensus T223681
  • Have a group of people who will enroll in this project as mentors T223683

Then

Translations

Configurations

  • Provide the help desk title = Wikipedia:Txokoa
  • Provide the homepage tutorial title = Ikusizko Editorea

Help panel

Homepage

Mentors

Understanding First Day

  • The list of namespaces that would not be monitored (0, 1, 6, 7 are mandatory). = 0,1,2,6,7,104

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Theklan, here are the actions you have to take and the information you have to provide for the deployment: https://www.mediawiki.org/wiki/Growth/Communities/How_to_get_the_Growth_experiments_on_your_wiki

Trizek-WMF updated the task description. (Show Details)May 18 2019, 8:38 AM

I've edited the task description so that you can add your information there.

Theklan updated the task description. (Show Details)May 18 2019, 8:58 AM
Theklan updated the task description. (Show Details)May 18 2019, 9:01 AM

@Trizek-WMF Can I see the available features so I can post on the village pump and decide which we are going to deploy? thanks!

Theklan updated the task description. (Show Details)May 18 2019, 9:03 AM
Trizek-WMF updated the task description. (Show Details)May 18 2019, 9:11 AM
Trizek-WMF updated the task description. (Show Details)May 18 2019, 9:14 AM

@Trizek-WMF Can I see the available features so I can post on the village pump and decide which we are going to deploy? thanks!

I've updated the presentation page to have them more visible. See the table: https://www.mediawiki.org/wiki/Growth#Initiatives

Theklan updated the task description. (Show Details)Jun 10 2019, 8:47 AM
Theklan updated the task description. (Show Details)Jun 10 2019, 8:52 AM
Trizek-WMF updated the task description. (Show Details)Jul 18 2019, 9:25 AM

I've updated the task description to reflect the current status of some tasks (not done for translations, please update) and to remove items that are no longer necessary.

Trizek-WMF updated the task description. (Show Details)Jul 18 2019, 9:28 AM
Trizek-WMF updated the task description. (Show Details)Jul 18 2019, 9:57 AM

Concerning the Help panel deployment:

On which namespaces it have to be deployed = Doubt between Help (Laguntza) and Wikipedia

Have the help panel deployed on the Help namespace may not be super useful. The (main) namespace sould be the minimum. It is also possible to have it on talk pages.

Trizek-WMF renamed this task from Deploy User Home Page at Basque Wikipedia to Deploy Growth experiments at Basque Wikipedia.Jul 18 2019, 10:00 AM
Trizek-WMF updated the task description. (Show Details)

Hello @Theklan, any updates?

Trizek-WMF updated the task description. (Show Details)Aug 15 2019, 12:53 PM

There is only a few details left to have the task completed. :)

Theklan updated the task description. (Show Details)Sep 2 2019, 8:44 AM
Theklan updated the task description. (Show Details)Sep 2 2019, 9:00 AM
Theklan updated the task description. (Show Details)
Theklan updated the task description. (Show Details)Sep 2 2019, 9:03 AM

@Trizek-WMF

What does exactly "Explain how your Help desk is archived =" mean?

Thanks!

Trizek-WMF added a comment.EditedSep 2 2019, 2:10 PM

What does exactly "Explain how your Help desk is archived =" mean?

Help desks have often an archiving system:

  • the page has a timestamp or something similar: Wikipedia:Help desk/September 2019, Wikipedia:Help desk/Week 36...
  • the page is regularly moved to a sub-page and a new one is created:
    • Wikipedia:Help desk is renamed Wikipedia:Help desk/August 2019 or Wikipedia:Help desk/Archive 32, and a new Wikipedia:Help desk page is created.
  • non edited sections of the page are moved to a sub-page by a bot every X days
  • ...

Ok... we don't have a "Help desk" as it is now. We have a Village pump and we use Topics, so everything is archived automatically. If it is completely necessary we can create something like Laguntza:Hasiberriak and have it use structured discussion too.

If you prefer to have a central place instead of a separated Help desk, it is your choice. Just be aware of the fact that getting the help panel may increase the number of messages on the village pump significantly.

If that happens we can change it in the future, isn't it?

I think that everything is ready on our side.

Theklan updated the task description. (Show Details)Sep 2 2019, 3:19 PM

If that happens we can change it in the future, isn't it?

Absolutely.

I think that everything is ready on our side.

I've checked, and I have some questions:

  • Laguntza:Hasiberriak is a blank page. Normal? I guess that's now Wikipedia:Txokoa but please confirm.
  • Do you have a tutorial? We are looking for a page that explains to people what is Wikipedia an how to participate.
  • You've indicated that the Help panel should only be displayed on Laguntza namespace, which is a bit strange. Don't you think it should be deployed on Articles and Txikipedia as well?
Trizek-WMF updated the task description. (Show Details)Sep 2 2019, 3:42 PM
  • Yes, it should be Wikipedia:Txokoa
  • Yes, it is here: https://eu.wikipedia.org/wiki/Laguntza:Sarrera
  • Yes, I misunderstood the idea. It should be displayed (also) on Articles, Txikipedia and maybe on User namespace, that would be the first landing place.
Theklan updated the task description. (Show Details)Sep 2 2019, 3:46 PM

Thank you for your replies.

Everything seems to be set now. I let the developers start the project. This task will be updated with the next steps soon. Stay tuned!

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2019, 4:28 PM
Trizek-WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Sep 2 2019, 4:28 PM
MMiller_WMF renamed this task from Deploy Growth experiments at Basque Wikipedia to Prepare for Growth experiments at Basque Wikipedia.Sep 5 2019, 1:15 AM
MMiller_WMF added a comment.EditedSep 5 2019, 1:27 AM

@Trizek-WMF @Theklan -- before we begin deployments, I want to make sure of a couple things:

  • I don't see the survey privacy statement on the list of translations. In the past, we have translated it in a Google Doc, and then Legal has put it up on Foundation wiki. That's the one that goes here on the survey:

  • You listed a set of namespaces for Understanding First Day, saying "The list of namespaces that would be monitored (0, 1, 6, 7 are mandatory). = 0,1,2,6,7,104". All namespaces will be recording data, but this is supposed to be a list of namespaces that will not record the titles of the pages. Is that what that list is?
  • The entry for "homepage tutorial title" is missing in this task's description.

Hello!

  • I can't see the non-translated part. We have translated everything that was translatable.
  • Don't get what we have to fill there. I willed the namespaces to be monitored... @Trizek-WMF?
  • Can you give me an example of what the "homepage tutorial title" is, please?

I forgot to add the privacy statement to the checklist. Thank you for spotting it, @MMiller_WMF, and sorry for the extra work, @Theklan. The statement is here: https://foundation.wikimedia.org/wiki/New_User_Welcome_Survey_Privacy_Statement Please translate it in a wiki subpage (like your sandbox) and provide the link.

Concerning namespaces, the phrasing was unclear. Sorry. Like Marshall said we are going to monitor all of them but we won't record pages titles for articles (0), article talk (1), file (6), file talk (7). I guess that it should be extended Txikipedia and associated talk pages?

Concerning the tutorial, I see Laguntza:Ikusizko_Editorea. What is missing, Marshall? The label? That's Ikusizko Editorea, right?

@Theklan, I'm sorry for all the small details that need extra work. You are the first community to run this entire process and your feedback and issues are really helpful for us to improve our process! Thank you for being so patient. :)

Trizek-WMF updated the task description. (Show Details)Sep 5 2019, 10:32 AM
Trizek-WMF updated the task description. (Show Details)

About the namespaces, I don't really get what you are asking for, so I think that your feedback here is the best option. If we had to exclude mainspace, then Txikipedia should be excluded. If we have to include one, also the other.

@Theklan

https://eu.wikipedia.org/wiki/Laguntza:Ikusizko_Editorea
https://eu.wikipedia.org/wiki/Wikipedia:Estilo_gida
https://eu.wikipedia.org/wiki/Laguntza:Loturak
https://eu.wikipedia.org/wiki/Laguntza:Erreferentziak
https://eu.wikipedia.org/wiki/Laguntza:Irudiak

What is the text that should be used for the link for each of the above? For example Languntza:Ikusizko_Editorea could be shown with the text "Ikusizko Editorea" but it could also just be "Ikusizko", or whatever else you think is relevant.

Also, we need a short ID for each link, for example "help", "citation", "tutorial", etc, these will be used for analytics purposes and are not shown to the user.

@Theklan -- I'll try to clarify about the namespaces. The EditorJourney project records all page loads that newcomers do in their first 24 hours, regardless of the namespace. This is because we want to understand how often newcomers are reading help documents, going to the help desk, attempting edits, etc. EditorJourney also records the page titles of the pages the newcomer visits so that we can tell they are looking at something specific, like a specific tutorial or the help desk. But we don't want to record the page titles of articles they're reading, because that's too sensitive, and we don't need to know it. It's good enough to know that they are visiting an article in the main namespace. So the question is which namespaces in Basque Wikipedia are the sensitive ones that we should not record the page titles, like Article, Article Talk, File, File Talk, etc. The list we usually include is 0 (Article), 1 (Talk), 6 (File), 7 (File Talk). But if your wiki uses the Portal, Book, or Draft namespaces, we might want to include those, too.

Does this make sense?

It makes sense. I have answered also in the other thread, as I thought that it was the opposite.

@Theklan

https://eu.wikipedia.org/wiki/Laguntza:Ikusizko_Editorea
https://eu.wikipedia.org/wiki/Wikipedia:Estilo_gida
https://eu.wikipedia.org/wiki/Laguntza:Loturak
https://eu.wikipedia.org/wiki/Laguntza:Erreferentziak
https://eu.wikipedia.org/wiki/Laguntza:Irudiak

What is the text that should be used for the link for each of the above? For example Languntza:Ikusizko_Editorea could be shown with the text "Ikusizko Editorea" but it could also just be "Ikusizko", or whatever else you think is relevant.
Also, we need a short ID for each link, for example "help", "citation", "tutorial", etc, these will be used for analytics purposes and are not shown to the user.

https://eu.wikipedia.org/wiki/Laguntza:Ikusizko_Editorea

Ikusizko Editorea (visual)

https://eu.wikipedia.org/wiki/Wikipedia:Estilo_gida

Estilo gida (style)

https://eu.wikipedia.org/wiki/Laguntza:Loturak

Loturak (links)

https://eu.wikipedia.org/wiki/Laguntza:Erreferentziak

Erreferentziak (references)

https://eu.wikipedia.org/wiki/Laguntza:Irudiak

Irudiak (images)

Homepage and Help panel will be deployed to half of the users (as an A/B test) on Thursday at 13:00 Euskal Herria time.

The rest of the features will be deployed later since we have a little delay on setting up some elements.

MMiller_WMF closed this task as Resolved.Sep 17 2019, 2:32 PM

This preparation task is complete. Thank you @Theklan! We're going to track the rest of the work in the associated deployment tasks.

JTannerWMF reopened this task as Open.Sep 24 2019, 12:04 AM
JTannerWMF added a subscriber: JTannerWMF.

Hi @Theklan can you kindly translate:

"New User Welcome Survey Privacy Statement"

The Growth Team needs to have the title translated to close out this task.

"Iritsi berrien ongi etorri inkestaren pribatutasun adierazpena"

kostajh closed this task as Resolved.Sep 24 2019, 8:02 AM

@Theklan thanks! Once legal puts up the translated statement we'll be able to deploy the welcome survey. Probably tomorrow, 25/9.